@echo off
REM *********************************************************************
REM
REM PURPOSE:
REM     This file is used to generate the UL classes used by
REM     the ULFoundation C++ API applications.
REM
REM Copyright (c) 2003 by iAnywhere Solutions Inc.
REM
REM *********************************************************************

echo.
echo.
echo == Generate the necessary C++ API files for ULFoundation.
echo.
"%ASANY9%\win32\ulgen" -c dsn=ULFoundation -t c++ -u ulfoundation_pub -f ..\src\common\ULFoundationAPI.cpp

echo.
echo.
echo == Generate the necessary Java API files for ULFoundation.
echo.
"%ASANY9%\win32\ulgen" -c dsn=ULFoundation -t java -j ULFoundation -s ..\src\common\SQL -f ..\src\common\ULDB.java

echo.
echo.
echo == Generating the Ultralite Database Schema for ULFOundation.
echo.
"%ASANY9%\win32\ulinit" -c "dsn=ULFoundation" -f ..\sql\ULFoundation.usm -n ULFoundation_pub

REM below moved to its own file in the appforge palm directory
REM echo.
REM echo.
REM echo == Generating the Ultralite Database Schema for ULFOundation for Palm.
REM echo.
REM "%ASANY9%\win32\ulinit" -c "dsn=ULFoundation" -f ..\sql\ul_foundsm.pdb -n ULFoundation_pub -palm ulfo
