@echo off

REM This script starts the MobiLink server with a connection to the
REM ULFoundation database.
REM Change 'tcpip' to 'serial' to listen for serial connections on COM1

SET DB_ENGNAME=ULFoundation
SET DSN=%DB_ENGNAME%

SET LOGFILE=..\dat\ml.out

IF EXIST %LOGFILE% del %LOGFILE%

echo.
echo.
echo == Starting MobiLink Server for ULFoundation
echo.
start dbmlsrv9 -c "dsn=%DSN%" -x tcpip{keep_alive=1} -vcrnst -o %LOGFILE% -zu+ -dl
