@echo off

REM This is an ugly stretch of code, however under Windows 9x
REM our hands are tied, and this is what is required to get
REM the directory that we are currently in.

REM Create a file called temp.bat and fill it with some dummy
REM data. Please note that this dummy data is necessary as we
REM need to have something inside temp.bat so that we can
REM replace it with the data we need ('set SCRIPT_DIR=').
echo 123456789012 > temp.bat

REM When CD is run without any parameters, it returns the
REM current directory (Similar to the pwd command in linux).
REM Capture that and append it to our temporary batch file.
cd >> temp.bat

REM This next chunk is a script which will be passed to the
REM debug command which causes the dummy data in temp.bat to
REM be overwritten with the proper data.
> script echo e 0100 "set SCRIPT_DIR="
>> script echo w
>> script echo q

REM The script we just created is passed to the debug command
REM along with our temprary batch file. All output from debug
REM is passed to /dev/null (thrown away).
debug temp.bat < script > nul

REM Call teh batch file we cobbled together. This will set
REM the environment variable SCRIPT_DIR to be the current
REM directory.
call temp.bat

REM Remove our temporary files.
del script
del temp.bat

REM Display what the SCRIPT_DIR environment variable is set
REM to, as a sanity check.
echo == SCRIPT_DIR is %SCRIPT_DIR%