IF EXISTS( SELECT 1 FROM SYS.SYSPUBLICATION
	   WHERE publication_name = 'ULFoundation_pub' ) THEN
    DROP PUBLICATION ULFoundation_pub;
END IF;

IF EXISTS (SELECT 1 FROM systable WHERE table_name = 'customer') THEN
   DROP TABLE customer;
END IF;

CREATE TABLE "DBA"."customer"
(
	"customer_id"  integer NOT NULL DEFAULT AUTOINCREMENT,
	"first_name"   varchar(20) NULL,
	"last_name"    varchar(30) NULL,
	PRIMARY KEY ("customer_id")
);


CREATE PUBLICATION ULFoundation_pub
(

	TABLE customer

);


CALL ul_add_project( 'ULFoundation' );
CALL ul_add_statement( 'ULFoundation', 'CUSTOMER_QUERY',
	'SELECT customer_id, first_name, last_name FROM Customer' );

COMMIT;