--
-- Synchronization scripts
--

-- First, clear out any MobiLink scripts that might already be there
--
TRUNCATE TABLE ml_table_script;
TRUNCATE TABLE ml_connection_script;
TRUNCATE TABLE ml_script;
TRUNCATE TABLE ml_script_version;
TRUNCATE TABLE ml_subscription;
TRUNCATE TABLE ml_user;
TRUNCATE TABLE ml_table;

COMMIT;

--
-- Now configure any of the synchronization events we care about
-- (see ASA 9.0 MobiLink Synchronization User's Guide)
--

-- BEGIN CONNECTION (GLOBAL) -------------------------------------------------

-- BEGIN SYNCHRONIZATION (GLOBAL) --------------------------------------------

-- BEGIN SYNCHRONIZATION (TABLE) ---------------------------------------------

-- BEGIN UPLOAD (USER) -------------------------------------------------------

-- BEGIN UPLOAD (TABLE) ------------------------------------------------------

-- BEGIN UPLOAD_ROWS (TABLE) -------------------------------------------------

-- UPLOAD_CURSOR (ROW) -------------------------------------------------------

  --
  -- Customer
  --

  call ml_add_table_script(
     '1.0',
     'customer',
     'upload_cursor',
     'SELECT customer_id, first_name, last_name
        FROM customer'
  );
commit;

-- OLD_ROW_CURSOR (ROW) ------------------------------------------------------

-- NEW_ROW_CURSOR (ROW) ------------------------------------------------------

-- RESOLVE_CONFLICT (ROW) ----------------------------------------------------

-- END UPLOAD_ROWS (TABLE) ---------------------------------------------------

-- BEGIN UPLOAD_DELETES (TABLE) ----------------------------------------------

-- UPLOAD_CURSOR (ROW) -------------------------------------------------------

-- END UPLOAD_DELETES (TABLE)  -----------------------------------------------

-- END UPLOAD (TABLE)  -------------------------------------------------------

-- END UPLOAD (USER)  --------------------------------------------------------

-- BEGIN DOWNLOAD (USER) -----------------------------------------------------

-- DOWNLOAD_DELETE_CURSOR (TABLE) --------------------------------------------

-- DOWNLOAD_CURSOR (TABLE) ---------------------------------------------------

  --
  -- Customer
  --

  call ml_add_table_script(
     '1.0',
     'customer',
     'download_cursor',
     'SELECT customer_id, first_name, last_name
        FROM customer'
  );

-- END DOWNLOAD (USER) -------------------------------------------------------

-- END SYNCHRONIZATION (GLOBAL) ----------------------------------------------

-- END CONNECTION (GLOBAL) ---------------------------------------------------
