/*##COPYRIGHT
 ***********************************************************************
 *       Copyright (C) 2001-2003, by iAnywhere Solutions, Inc.         *
 *       All rights reserved. iAnywhere Solutions is a trademark       *
 *       of Sybase, Inc.  No part of this software may be              *
 *       reproduced in any form or by any means - graphic,             *
 *       electronic or mechanical, including photocopying,             *
 *       recording, taping or information storage and retrieval        *
 *       systems - except with the written permission of               *
 *       iAnywhere Solutions, Inc.                                     *
 *                                                                     *
 ***********************************************************************
#*/




#if !defined(AFX_CUSTOMER_H__8A2B03B8_37C5_4E96_A6C2_2BBDCDF47B48__INCLUDED_)
#define AFX_CUSTOMER_H__8A2B03B8_37C5_4E96_A6C2_2BBDCDF47B48__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// CustomerView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCustomerView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

/** This is the Customer Form class, which handles everything to do with the
	Customer form of ULFoundation.
 */
class CCustomerView : public CFormView
{
protected:
	/** Creates and initializes the Customer form.
	 */
	CCustomerView();           // protected constructor used by dynamic creation

	DECLARE_DYNCREATE(CCustomerView)

// Form Data
public:
	//{{AFX_DATA(CCustomerView)
	enum { IDD = IDD_CUSTOMER };
	CListCtrl	m_customerList;
	CString	m_no_record_msg;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:
	void ClearScreen();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomerView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
protected:

	/** Cleans up the Customer form.
	 */
	virtual ~CCustomerView();
#ifdef _DEBUG

	/** Automatically generated eVC debug method.
	 */
	virtual void AssertValid() const;

	/** Automatically generated eVC debug method.
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif

	void PopulateCustomerList(void);
	void SetCustomerListHeader(void);

	// Generated message map functions
	//{{AFX_MSG(CCustomerView)
	afx_msg void OnSync();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately
//before the previous line.

#endif 
// !defined(AFX_CUSTOMER_H__8A2B03B8_37C5_4E96_A6C2_2BBDCDF47B48__INCLUDED_)
