/*##COPYRIGHT
 ***********************************************************************
 *       Copyright (C) 2001-2003, by iAnywhere Solutions, Inc.         *
 *       All rights reserved. iAnywhere Solutions is a trademark       *
 *       of Sybase, Inc.  No part of this software may be              *
 *       reproduced in any form or by any means - graphic,             *
 *       electronic or mechanical, including photocopying,             *
 *       recording, taping or information storage and retrieval        *
 *       systems - except with the written permission of               *
 *       iAnywhere Solutions, Inc.                                     *
 *                                                                     *
 ***********************************************************************
#*/




// MainFrame.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "ULFoundation.h"
#include "CustomerView.h"
#include "ULDB.h"
#include "platform.h"
#include "ULFoundationDoc.h"
#include "MainFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

const DWORD dwAdornmentFlags = 0; // exit button

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE( CMainFrame, CFrameWnd )

BEGIN_MESSAGE_MAP( CMainFrame, CFrameWnd )
//{{AFX_MSG_MAP(CMainFrame)
ON_WM_CREATE()
ON_COMMAND( FILE_SYNC, OnSync )
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{}

CMainFrame::~CMainFrame()
{}

int CMainFrame::OnCreate( LPCREATESTRUCT lpCreateStruct )
{
	if( CFrameWnd::OnCreate( lpCreateStruct ) == -1 )
		return -1;

	if( !m_wndCommandBar.Create( this ) ||
		!m_wndCommandBar.InsertMenuBar( IDR_MAINFRAME ) ||
		!m_wndCommandBar.AddAdornments( dwAdornmentFlags ) ) {
		TRACE0( "Failed to create CommandBar\n" );
		return -1;      // fail to create
	}

	m_wndCommandBar.SetBarStyle( m_wndCommandBar.GetBarStyle() |
				     CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_FIXED );

	return 0;
}

BOOL CMainFrame::PreCreateWindow( CREATESTRUCT& cs )
{
	if( !CFrameWnd::PreCreateWindow( cs ) )
		return FALSE;

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump( CDumpContext& dc ) const
{
	CFrameWnd::Dump( dc );
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers


void CMainFrame::ChangeToolbar( UINT nToolBar, UINT nMenu )
{
	// reset the command bar / take everything off of it
	m_wndCommandBar.ResetCommandBar();

	// insert the menu
	m_wndCommandBar.InsertMenuBar( nMenu );
	m_wndCommandBar.InsertSeparator( 6 );

	// load custom toolbar
	m_wndCommandBar.LoadToolBar( nToolBar );
}


void CMainFrame::OnSync()
{
	//CCustomerView::OnSync();
}
