@echo off

echo.
echo.
echo == The version of Doc++ installed is:
docxx -V

IF NOT %ERRORLEVEL%==0 (
	echo.
	echo.
	echo == Doc++ not found. Please either install Doc++ or fix the current path.
	echo == Doc++ can be downloaded from http://docpp.sourceforge.net
	echo.
	exit /B 3
)

echo.

if not exist doc md doc
cd doc
if exist *.html del *.html
if exist *.db del *.db
if exist *.gif del *.gif

echo.
echo.
echo == Generating PMC code documentation
echo.
echo == Options used:
echo		-M -- Show members in Table of Contents
echo		-f -- Show filenames in manual pages
echo		-v -- Turn verbose mode on
echo		-b -- Use tables with borders
echo		-S -- Sort entries alphabetically
echo		-H -- Generate output as HTML instead of TeX
echo.
docxx -M -f -v -b -S -H -d . ..\*.h ..\..\..\..\h\ULDB.h

cd ..
